Name:       qtractor
Version:    0.8.2
Release:    %mkrel 1
Summary:    An Audio/MIDI multi-track sequencer
License:    GPLv2+
Group:      Sound/Midi
URL:        http://qtractor.sourceforge.io/
Source0:    http://www.rncbc.org/archive/%{name}-%{version}.tar.gz
Patch0:     qtractor-0.8.2-mga-qmake-strip.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(dssi)
BuildRequires:  pkgconfig(suil-0)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  ladspa-devel
BuildRequires:  qttools5

Requires:   dssi
Requires:   ladspa

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt4 or Qt5 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%prep
%autosetup -p1

%build
%configure2_5x

%make_build

%install
%make_install

desktop-file-install \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --set-key=Exec --set-value="%{name}" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README TODO TRANSLATORS
%{_bindir}/%{name}
%{_bindir}/%{name}_vst_scan
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-*.svg
%{_mandir}/man1/%{name}*.1*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%lang(cs) %{_datadir}/%{name}/translations/%{name}_cs.qm
%lang(de) %{_datadir}/%{name}/translations/%{name}_de.qm
%lang(es) %{_datadir}/%{name}/translations/%{name}_es.qm
%lang(fr) %{_datadir}/%{name}/translations/%{name}_fr.qm
%lang(it) %{_datadir}/%{name}/translations/%{name}_it.qm
%lang(ja) %{_datadir}/%{name}/translations/%{name}_ja.qm
%lang(pt) %{_datadir}/%{name}/translations/%{name}_pt.qm
%lang(ru) %{_datadir}/%{name}/translations/%{name}_ru.qm


%changelog
* Tue May 16 2017 animtim <animtim> 0.8.2-1.mga6
+ Revision: 1102109
- update to 0.8.2
  update to 0.8.2
  add a patch to prevent stripping of release binaries

* Sat Feb 18 2017 daviddavid <daviddavid> 0.8.1-1.mga6
+ Revision: 1086689
- new version: 0.8.1
- enable GTK2 plugin GUI support

* Wed Nov 23 2016 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 1069373
- new version: 0.8.0

* Sat Sep 24 2016 daviddavid <daviddavid> 0.7.9-1.mga6
+ Revision: 1055647
- new version: 0.7.9

* Sat Jun 25 2016 daviddavid <daviddavid> 0.7.8-1.mga6
+ Revision: 1037619
- new version: 0.7.8

* Sat Apr 30 2016 daviddavid <daviddavid> 0.7.7-1.mga6
+ Revision: 1008002
- new version: 0.7.7

* Wed Apr 06 2016 daviddavid <daviddavid> 0.7.6-1.mga6
+ Revision: 998835
- new version: 0.7.6

* Tue Mar 22 2016 daviddavid <daviddavid> 0.7.5-1.mga6
+ Revision: 993897
- new version: 0.7.5

* Sun Feb 21 2016 daviddavid <daviddavid> 0.7.4-2.mga6
+ Revision: 975378
- rebuild against fixed rubberband on arm

* Fri Jan 29 2016 daviddavid <daviddavid> 0.7.4-1.mga6
+ Revision: 928650
- new version: 0.7.4

* Thu Dec 31 2015 daviddavid <daviddavid> 0.7.3-1.mga6
+ Revision: 917241
- new version: 0.7.3

* Sat Dec 12 2015 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 909640
- new version: 0.7.2
- fix owner of data dir

* Sat Oct 10 2015 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 888727
- new version: 0.7.1
- re-enable debug package as it should
- remove merged upstream patch

* Sat Aug 08 2015 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 861638
- new version: 0.7.0
- switch to Qt5 build
- update BuildRequires (alsa, vorbis, Qt5Core, Qt5Widgets, Qt5Xml, Qttools5)
- remove unneeded Requires on suil-gtk2-in-qt4 and suil-x11-in-qt4
- remove path from Exec in desktop file
- add upstream patch to fix build with Qt 5.5
  * http://sourceforge.net/p/qtractor/tickets/171/
  * https://github.com/KaOSx/apps/blob/master/qtractor/qt5.5.diff

* Sat Jul 25 2015 daviddavid <daviddavid> 0.6.7-1.mga6
+ Revision: 857567
- new version: 0.6.7
- update file list (add an appdata.xml file)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 746434
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.2-3.mga5
+ Revision: 730080
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-2.mga5
+ Revision: 688555
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.6.2-1.mga5
+ Revision: 671024
- new version 0.6.2
- fix files list

* Mon Oct 21 2013 umeabot <umeabot> 0.5.10-2.mga4
+ Revision: 538277
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 0.5.10-1.mga4
+ Revision: 489164
- New version: 0.5.10

* Sun Jul 14 2013 wally <wally> 0.5.9-1.mga4
+ Revision: 454042
- new version 0.5.9
- clean .spec a bit

* Sun Jan 13 2013 umeabot <umeabot> 0.5.6-2.mga3
+ Revision: 380035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 barjac <barjac> 0.5.6-1.mga3
+ Revision: 321677
- new version
- removed BR slv2
- changed requires
- validated desktop file
- cleaned spec
- thanks to Philippe Didier (bug #7840)

  + fwang <fwang>
    - new version 0.5.5

* Sun Mar 04 2012 juancho <juancho> 0.5.4-1.mga2
+ Revision: 217778
- Updated to 0.5.4

* Sat Dec 10 2011 eatdirt <eatdirt> 0.5.1-2.mga2
+ Revision: 180391
- Rebuilt for librubberband-1.7.0

* Thu Dec 01 2011 fwang <fwang> 0.5.1-1.mga2
+ Revision: 174724
- update file list
- new version 0.5.1

* Wed Sep 07 2011 tv <tv> 0.5.0-1.mga2
+ Revision: 139981
- new release
- enable new LV2 GUI support through suil and lilv

* Sun May 08 2011 shikamaru <shikamaru> 0.4.8-2.mga1
+ Revision: 96528
- new release 0.4.8 - bump rel to ease upgrade from mdv

* Fri Apr 15 2011 shikamaru <shikamaru> 0.4.7-1.mga1
+ Revision: 86000
- Clean spec (buildroot, defines, macros, one req per line)
- imported package qtractor

